aboutsummaryrefslogtreecommitdiffstats
path: root/main/ulogd/ulogd.initd
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2010-08-27 13:50:45 +0000
committerLeonardo Arena <rnalrd@gmail.com>2010-08-27 13:50:45 +0000
commitf6ad56cf5e99a98dc23c955145e7beeee39094a1 (patch)
treee8d93d42ee6c10e8997c83ebeace92dcce6ef97a /main/ulogd/ulogd.initd
parent629d95e6e23f32f373c812782af627a2bcc84315 (diff)
downloadaports-f6ad56cf5e99a98dc23c955145e7beeee39094a1.tar.bz2
aports-f6ad56cf5e99a98dc23c955145e7beeee39094a1.tar.xz
main/ulogd: moved to main
Diffstat (limited to 'main/ulogd/ulogd.initd')
-rw-r--r--main/ulogd/ulogd.initd39
1 files changed, 39 insertions, 0 deletions
diff --git a/main/ulogd/ulogd.initd b/main/ulogd/ulogd.initd
new file mode 100644
index 0000000000..8cf5567f53
--- /dev/null
+++ b/main/ulogd/ulogd.initd
@@ -0,0 +1,39 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/www/viewcvs.gentoo.org/raw_cvs/gentoo-x86/app-admin/ulogd/files/ulogd,v 1.2 2004/07/13 16:32:25 aliz Exp $
+
+opts="reload"
+
+depend() {
+ need net
+ after firewall
+}
+
+checkconfig() {
+ if [ ! -e /etc/ulogd.conf ]; then
+ eerror "You need /etc/ulogd.conf"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting ulogd"
+ start-stop-daemon --start --quiet --exec /usr/sbin/ulogd -- \
+ $ARGS >/dev/null 2>&1
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ulogd"
+ start-stop-daemon --stop --quiet --exec /usr/sbin/ulogd >/dev/null 2>&1
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading ulogd.conf file"
+ killall -HUP ulogd &>/dev/null
+ eend $?
+}
+